#ifndef _BUTTON_H
#define _BUTTON_H

class Button
{
  public:
    void Init(int Pin);
    bool CheckButtonPress();
    bool IsDown();
    
  private:
    int m_iPin;
    int m_iPrevReading;
    int m_iPrevState;
    unsigned long m_iTransitionTimeMS;
};

extern Button btn1Green;
extern Button btn2Red;

#endif
