#ifndef _CFG_H
#define _CFG_H

#define BASE_MIN 4
#define BASE_MAX 64
#define THRESH_MIN 5
#define THRESH_MAX 75

class Config
{
  public:
    Config();
    void Defaults();
    void Load();
    void Save();
    bool AutoIsOn();
    void UnPackTime(byte Packed, byte& Hour, byte& Quarter);    
    byte PackTime(byte Hour, byte Quarter);    

    byte m_WeekOn;
    byte m_WeekOff;
    byte m_WeekendOn;
    byte m_WeekendOff;
    byte m_AutoOn;
    byte m_iBaseReadingBy4;
    byte m_iThresholdPercent;
};

extern Config cfg;

#endif
