#ifndef _GRAPH_H
#define _GRAPH_H

#include "DATA.h"
#include "BAND.h"

class GRAPH
{
  public:
    void Init();
    void RenderData(bool ToScreen, DATA::tDayData& Data, byte ThresholdPercent, byte Reference, char* Line1, char* Line2);

    static char* AppendNum(int Num, char* Buffer, char Lead);
  private:
    bool GetPos(tByteBand& band, byte Data, byte Col, tByteBand::tPixelPos& Pos, int& DataBand, byte& DataRow);
    bool FillPattern(const tByteBand::tPixelPos& Pos);
    bool Alternating(const tByteBand::tPixelPos& Pos, bool Alternate);
    void SetLinePixel(tByteBand& band, const tByteBand::tPixelPos& Pos);
    
    bool m_bSolidFill;
    byte m_iBandHeight;
};

extern GRAPH graph;

#endif
