#ifndef _PRINTER_H
#define _PRINTER_H
#include <SoftwareSerial.h>
class Printer
{
  public:
    Printer();
    void Init();
    void Println(char* Str, bool BigBold);
    void StartPrint();
    void PrintBand(byte* pBand, int Bytes);
    void PrintBandDouble(byte* pBand, int Bytes);
    void FeedLines(byte N);
    void EndPrint();
};

extern SoftwareSerial serial;
extern Printer printer;

#endif
